5
joao da silva
manoel antonio
joaquim jose
maria joaquina
antonio maria
3
joao da silva - antonio maria
joaquim jose - antonio maria
joao da silva - maria joaquina
3
aloha
dano
steve
2
steve - dano
aloha - dano
4
a
b      b
c              c
d                       d
2
b b               -c c
a-d d 
4
a
b b
c c
d d
2
a - b b
c c - a
4
a a
b b
c c
d d
1
c c - d d
16
aa
ab
ac
ad
ba
bb
bc
bd
ca
cb
cc
cd
da
db
dc
dd
104
aa-ac
aa-ad
aa-bb
aa-bc
aa-bd
aa-ca
aa-cb
aa-cc
aa-cd
aa-da
aa-db
aa-dc
aa-dd
ab-ad
ab-ba
ab-bb
ab-bc
ab-bd
ab-ca
ab-cb
ab-cc
ab-cd
ab-da
ab-db
ab-dc
ab-dd
ac-ba
ac-bb
ac-bc
ac-bd
ac-ca
ac-cb
ac-cc
ac-cd
ac-da
ac-db
ac-dc
ac-dd
ad-ba
ad-bb
ad-bc
ad-ca
ad-cb
ad-cc
ad-cd
ad-da
ad-db
ad-dc
ad-dd
ba-bb
ba-bc
ba-bd
ba-cb
ba-cc
ba-cd
ba-da
ba-db
ba-dc
ba-dd
bb-bd
bb-ca
bb-cc
bb-cd
bb-da
bb-db
bb-dc
bb-dd
bc-ca
bc-cb
bc-cc
bc-cd
bc-da
bc-db
bc-dc
bc-dd
bd-ca
bd-cb
bd-cc
bd-cd
bd-da
bd-db
bd-dc
bd-dd
ca-cb
ca-cc
ca-cd
ca-db
ca-dc
ca-dd
cb-cd
cb-da
cb-db
cb-dc
cb-dd
cc-da
cc-db
cc-dc
cc-dd
cd-da
cd-db
cd-dc
da-dc
da-dd
db-dd
0


